<script>
    var requireJS = [];
    //loadJS(requireJS, "js/views/common.js");
    loadJS(requireJS, "js/views/client-invoices.js");

</script>

<div class="row">
    <div class="col-lg-12">
        <div class="card">                
            <div class="card-block">

                <table class="table table-bordered table-striped table-sm">
                    <thead>
                        <tr class="text-center">
                            <th><input class="chk-check-all" type="checkbox" disabled="disabled"></th>
                            <th>#</th>                                
                            <th>Nro Factura</th>
                            <th>Período</th>
                            <th>Monto</th>
                            <th>Estado <span class="badge badge-pill badge-danger">?</span></th>
                            <th>&nbsp;</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr th:each="item : ${invoices}">                                
                            <td><input th:id="${item.id}" type="checkbox" name="invoice-id" th:attr="disabled=${item.status == 'payed'} ? 'disabled'"></td>
                            <td th:text="${item.id}"></td>
                            <td th:text="${item.invoiceNumber}"></td>
                            <td th:text="${item.month} + ' '+ ${item.year}"></td>
                            <td class="text-center">
                                <span  th:text="${item.getTotalText()}"></span>
                                <input type="hidden" th:id="'invoice-' + ${item.id}" th:value="${item.total}">
                            </td>
                            <td class="text-center">
                                <span th:switch="${item.status}">
                                    <span class="badge badge-info" th:text="#{${item.status}}" th:case="'created'"></span>
                                    <span class="badge badge-primary" th:text="#{${item.status}}" th:case="'sended'"></span>
                                    <span class="badge badge-success" th:text="#{${item.status}}" th:case="'payed'"></span>
                                    <span class="badge badge-danger" th:text="#{${item.status}}" th:case="'unpayed'"></span>
                                    <span class="badge badge-warning" th:text="#{${item.status}}" th:case="'review'"></span>
                                    <span class="badge badge-danger" th:text="#{${item.status}}" th:case="'payment_error'"></span>
                                    <span class="badge badge-warning" th:text="#{${item.status}}" th:case="'partial'"></span>
                                    <span class="badge badge-danger" th:text="#{${item.status}}" th:case="'denied'"></span>
                                    <span class="badge badge-warning" th:text="#{${item.status}}" th:case="'refunded'"></span>
                                    <span class="badge badge-default" th:text="${item.status}" th:case="*"></span>
                                </span>
                            </td>
                            <td>
                                <a th:href="'api/clients/invoices/'+${item.id}" target="_blank" title="Ver Factura">
                                    <i class="fa fa-file-pdf-o action-button-noaction"></i>
                                </a>
                                <span>
                                    <i class="fa fa-arrow-down action-button red" id="view-invoice-detail" title="Ver detalle de transacciones" th:attr="data-id=${item.id},data-name=${item.getTotalText()}"></i>
                                </span>
                                <span>
                                    <i class="fa fa-align-center action-button red" id="view-invoice-balance" title="Ver balance asociado" th:attr="data-id=${item.id},data-name=${item.getTotalText()}"></i>
                                </span>
                                <span th:if="${item.status == 'payed'}">
                                    <i class="fa fa-minus-circle action-button red" id="refund-invoice" title="Devolver monto cobrado" th:attr="data-id=${item.id},data-name=${item.getTotalText()}"></i>
                                </span>
                                <span th:if="${item.status != 'payed'}">

                                    <a th:href="'/pagos/factura/' + ${item.token}" target="_blank" title="Abrir pasarela de pagos para esta factura">
                                        <i class="fa fa-external-link action-button-noaction"></i>
                                    </a>

                                    <i class="fa fa-money action-button" id="charge-invoice" title="Cobrar factura" th:attr="data-id=${item.id},data-name=${item.invoiceNumber}"></i>
                                    <!---<i class="fa fa-copy action-button" id="copy-link" 
                                       th:attr="data-url=${baseUrl} + '/pagos/factura/' + ${item.token}"
                                       title="Copiar enlace de pasarela de pagos al portapapeles"></i>
                                    <i class="fa fa-envelope-o action-button" id="send-email" title="Enviar enlace de pasarela al correo del cliente"></i>-->

                                </span>

                            </td>
                        </tr>
                    </tbody>
                </table>

                <div id="alert_placeholder"></div>
                <br/>
                <button type="button" class="btn btn-danger" data-dismiss="modal">Cerrar</button>
                <a class="btn btn-info btn-sm pull-right" th:href="${redirectUrl} + ${token}" target="_blank">Autorizacion de tarjetas</a>
            </div>

        </div>



    </div>
</div>


